## org.eclipse.uml2.uml
Interface BehavioredClassifier

All Superinterfaces:
  Classifier, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, Namespace, org.eclipse.emf.common.notify.Notifier, PackageableElement, ParameterableElement, RedefinableElement, TemplateableElement, Type

All Known Subinterfaces:
  Activity, Actor, AssociationClass, Behavior, Class, Collaboration, Component, Device, ExecutionEnvironment, FunctionBehavior, Interaction, Node, OpaqueBehavior, ProtocolStateMachine, StateMachine, Stereotype, UseCase

    public interface BehavioredClassifier

extends Classifier

A representation of the model object 'Behaviored Classifier'. A behaviored classifier may have an interface realization. A classifier can have behavior specifications defined in its namespace. One of these may specify the behavior of the classifier itself.

The following features are supported:

- `Owned Behavior`
- `Classifier Behavior`
- `Interface Realization`
- `Owned Trigger`

See Also:
  `UMLPackage.getBehavioredClassifier()`

Method Summary
`Behavior` `createClassifierBehavior(java.lang.String name, org.eclipse.emf.ecore.EClass eClass)` Creates a new `Behavior`, with the specified 'Name', and sets the 'Classifier Behavior' reference
`InterfaceRealization` `createInterfaceRealization(java.lang.String name, Interface contract)` Creates a new `InterfaceRealization`, with the specified 'Name', and 'Contract', and appends it to the 'Interface Realization' containment reference list
`Behavior` `createOwnedBehavior(java.lang.String name, org.eclipse.emf.ecore.EClass eClass)` Creates a new `Behavior`, with the specified 'Name', and appends it to the 'Owned Behavior' containment reference list
`Trigger` `createOwnedTrigger(java.lang.String name)` Creates a new `Trigger`, with the specified 'Name', and appends it to the 'Owned Trigger' containment reference list
`org.eclipse.emf.common.util.EList<Interface>` `getAllImplementedInterfaces()` Retrieves all the interfaces on which this behaviored classifier or any of its parents has an interface realization dependency
`Behavior` `getClassifierBehavior()` Returns the value of the 'Classifier Behavior' reference.
`org.eclipse.emf.common.util.EList<Interface>` `getImplementedInterfaces()` Retrieves the interfaces on which this behaviored classifier has an interface realization dependency
`InterfaceRealization` `getInterfaceRealization(java.lang.String name, Interface contract)` Retrieves the first `InterfaceRealization` with the specified 'Name', and 'Contract' from the 'Interface Realization' containment reference list
`InterfaceRealization` `getInterfaceRealization(java.lang.String name, Interface contract, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `InterfaceRealization` with the specified 'Name', and 'Contract' from the 'Interface Realization' containment reference list
`org.eclipse.emf.common.util.EList<InterfaceRealization>` `getInterfaceRealizations()` Returns the value of the 'Interface Realization' containment reference list.
`Behavior` `getOwnedBehavior(java.lang.String name)` Retrieves the first `Behavior` with the specified 'Name' from the 'Owned Behavior' containment reference list
`Behavior` `getOwnedBehavior(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass, boolean createOnDemand)` Retrieves the first `Behavior` with the specified 'Name' from the 'Owned Behavior' containment reference list
`org.eclipse.emf.common.util.EList<Behavior>` `getOwnedBehaviors()` Returns the value of the 'Owned Behavior' containment reference list.
`Trigger` `getOwnedTrigger(java.lang.String name)` Retrieves the first `Trigger` with the specified 'Name' from the 'Owned Trigger' containment reference list
`Trigger` `getOwnedTrigger(java.lang.String name, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `Trigger` with the specified 'Name' from the 'Owned Trigger' containment reference list
`org.eclipse.emf.common.util.EList<Trigger>` `getOwnedTriggers()` Returns the value of the 'Owned Trigger' containment reference list.
`void` `setClassifierBehavior(Behavior value)` Sets the value of the '`Classifier Behavior`' reference
`boolean` `validateClassBehavior(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` If a behavior is classifier behavior, it does not have a specification.

Methods inherited from interface org.eclipse.uml2.uml.Classifier

`allFeatures, allParents, conformsTo, createCollaborationUse, createGeneralization, createOwnedUseCase, createRepresentation, createSubstitution, getAllAttributes, getAllOperations, getAllUsedInterfaces, getAttribute, getAttribute, getAttributes, getCollaborationUse, getCollaborationUse, getCollaborationUses, getFeature, getFeature, getFeatures, getGeneral, getGeneral, getGeneralization, getGeneralization, getGeneralizations, getGenerals, getInheritedMember, getInheritedMember, getInheritedMembers, getOperation, getOperation, getOperations, getOwnedUseCase, getOwnedUseCase, getOwnedUseCases, getPowertypeExtent, getPowertypeExtent, getPowertypeExtents, getRedefinedClassifier, getRedefinedClassifier, getRedefinedClassifiers, getRepresentation, getSubstitution, getSubstitution, getSubstitutions, getUseCase, getUseCase, getUseCases, getUsedInterfaces, hasVisibilityOf, inherit, inheritableMembers, isAbstract, maySpecializeType, parents, setIsAbstract, setRepresentation, validateGeneralizationHierarchies, validateMapsToGeneralizationSet, validateNoCyclesInGeneralization, validateSpecializeType`

Methods inherited from interface org.eclipse.uml2.uml.Namespace

`createElementImport, createElementImport, createOwnedRule, createOwnedRule, createPackageImport, createPackageImport, excludeCollisions, getElementImport, getElementImport, getElementImports, getImportedElements, getImportedMember, getImportedMember, getImportedMembers, getImportedPackages, getMember, getMember, getMembers, getNamesOfMember, getOwnedMember, getOwnedMember, getOwnedMembers, getOwnedRule, getOwnedRule, getOwnedRules, getPackageImport, getPackageImport, getPackageImports, importMembers, membersAreDistinguishable, validateMembersDistinguishable`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.Type
`conformsTo, createAssociation, getAssociations, getPackage, setPackage`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.ParameterableElement
`getOwningTemplateParameter, getTemplateParameter, isCompatibleWith, isTemplateParameter, setOwningTemplateParameter, setTemplateParameter`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.TemplateableElement
`createOwnedTemplateSignature, createOwnedTemplateSignature, createTemplateBinding, getOwnedTemplateSignature, getTemplateBinding, getTemplateBinding, getTemplateBindings, isTemplate, parameterableElements, setOwnedTemplateSignature`

Method Detail

### getOwnedBehaviors

    org.eclipse.emf.common.util.EList<Behavior> getOwnedBehaviors()

  Returns the value of the 'Owned Behavior' containment reference list. The list contents are of type `Behavior`.

  This feature subsets the following features:

  - '`Owned Member`'
  References behavior specifications owned by a classifier.

  Returns:
    the value of the 'Owned Behavior' containment reference list.
  See Also:
    `UMLPackage.getBehavioredClassifier_OwnedBehavior()`

### createOwnedBehavior

    Behavior createOwnedBehavior(java.lang.String name,
                                 org.eclipse.emf.ecore.EClass eClass)

  Creates a new `Behavior`, with the specified 'Name', and appends it to the 'Owned Behavior' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Behavior`, or `null`.
    `eClass` - The Ecore class of the `Behavior` to create.
  Returns:
    The new `Behavior`.
  See Also:
    `getOwnedBehaviors()`

### getOwnedBehavior

    Behavior getOwnedBehavior(java.lang.String name)

  Retrieves the first `Behavior` with the specified 'Name' from the 'Owned Behavior' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Behavior` to retrieve, or `null`.
  Returns:
    The first `Behavior` with the specified 'Name', or `null`.
  See Also:
    `getOwnedBehaviors()`

### getOwnedBehavior

    Behavior getOwnedBehavior(java.lang.String name,
                              boolean ignoreCase,
                              org.eclipse.emf.ecore.EClass eClass,
                              boolean createOnDemand)

  Retrieves the first `Behavior` with the specified 'Name' from the 'Owned Behavior' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Behavior` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `Behavior` to retrieve, or `null`.
    `createOnDemand` - Whether to create a `Behavior` on demand if not found.
  Returns:
    The first `Behavior` with the specified 'Name', or `null`.
  See Also:
    `getOwnedBehaviors()`

### getClassifierBehavior

    Behavior getClassifierBehavior()

  Returns the value of the 'Classifier Behavior' reference.

  This feature subsets the following features:

  - '`Owned Behavior`'
  A behavior specification that specifies the behavior of the classifier itself.

  Returns:
    the value of the 'Classifier Behavior' reference.
  See Also:
    `setClassifierBehavior(Behavior)`, `UMLPackage.getBehavioredClassifier_ClassifierBehavior()`

### setClassifierBehavior

    void setClassifierBehavior(Behavior value)

  Sets the value of the '`Classifier Behavior`' reference.

  Parameters:
    `value` - the new value of the 'Classifier Behavior' reference.
  See Also:
    `getClassifierBehavior()`

### createClassifierBehavior

    Behavior createClassifierBehavior(java.lang.String name,
                                      org.eclipse.emf.ecore.EClass eClass)

  Creates a new `Behavior`, with the specified 'Name', and sets the 'Classifier Behavior' reference.

  Parameters:
    `name` - The 'Name' for the new `Behavior`, or `null`.
    `eClass` - The Ecore class of the `Behavior` to create.
  Returns:
    The new `Behavior`.
  See Also:
    `getClassifierBehavior()`

### getInterfaceRealizations

    org.eclipse.emf.common.util.EList<InterfaceRealization> getInterfaceRealizations()

  Returns the value of the 'Interface Realization' containment reference list. The list contents are of type `InterfaceRealization`. It is bidirectional and its opposite is '`Implementing Classifier`'.

  This feature subsets the following features:

  - '`Owned Element`'
  - '`Client Dependency`'
  The set of InterfaceRealizations owned by the BehavioredClassifier. Interface realizations reference the Interfaces of which the BehavioredClassifier is an implementation.

  Returns:
    the value of the 'Interface Realization' containment reference list.
  See Also:
    `UMLPackage.getBehavioredClassifier_InterfaceRealization()`, `InterfaceRealization.getImplementingClassifier()`

### createInterfaceRealization

    InterfaceRealization createInterfaceRealization(java.lang.String name,
                                                    Interface contract)

  Creates a new `InterfaceRealization`, with the specified 'Name', and 'Contract', and appends it to the 'Interface Realization' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `InterfaceRealization`, or `null`.
    `contract` - The 'Contract' for the new `InterfaceRealization`, or `null`.
  Returns:
    The new `InterfaceRealization`.
  See Also:
    `getInterfaceRealizations()`

### getInterfaceRealization

    InterfaceRealization getInterfaceRealization(java.lang.String name,
                                                 Interface contract)

  Retrieves the first `InterfaceRealization` with the specified 'Name', and 'Contract' from the 'Interface Realization' containment reference list.

  Parameters:
    `name` - The 'Name' of the `InterfaceRealization` to retrieve, or `null`.
    `contract` - The 'Contract' of the `InterfaceRealization` to retrieve, or `null`.
  Returns:
    The first `InterfaceRealization` with the specified 'Name', and 'Contract', or `null`.
  See Also:
    `getInterfaceRealizations()`

### getInterfaceRealization

    InterfaceRealization getInterfaceRealization(java.lang.String name,
                                                 Interface contract,
                                                 boolean ignoreCase,
                                                 boolean createOnDemand)

  Retrieves the first `InterfaceRealization` with the specified 'Name', and 'Contract' from the 'Interface Realization' containment reference list.

  Parameters:
    `name` - The 'Name' of the `InterfaceRealization` to retrieve, or `null`.
    `contract` - The 'Contract' of the `InterfaceRealization` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `InterfaceRealization` on demand if not found.
  Returns:
    The first `InterfaceRealization` with the specified 'Name', and 'Contract', or `null`.
  See Also:
    `getInterfaceRealizations()`

### getOwnedTriggers

    org.eclipse.emf.common.util.EList<Trigger> getOwnedTriggers()

  Returns the value of the 'Owned Trigger' containment reference list. The list contents are of type `Trigger`.

  This feature subsets the following features:

  - '`Owned Member`'
  References Trigger descriptions owned by a Classifier.

  Returns:
    the value of the 'Owned Trigger' containment reference list.
  See Also:
    `UMLPackage.getBehavioredClassifier_OwnedTrigger()`

### createOwnedTrigger

    Trigger createOwnedTrigger(java.lang.String name)

  Creates a new `Trigger`, with the specified 'Name', and appends it to the 'Owned Trigger' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Trigger`, or `null`.
  Returns:
    The new `Trigger`.
  See Also:
    `getOwnedTriggers()`

### getOwnedTrigger

    Trigger getOwnedTrigger(java.lang.String name)

  Retrieves the first `Trigger` with the specified 'Name' from the 'Owned Trigger' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Trigger` to retrieve, or `null`.
  Returns:
    The first `Trigger` with the specified 'Name', or `null`.
  See Also:
    `getOwnedTriggers()`

### getOwnedTrigger

    Trigger getOwnedTrigger(java.lang.String name,
                            boolean ignoreCase,
                            boolean createOnDemand)

  Retrieves the first `Trigger` with the specified 'Name' from the 'Owned Trigger' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Trigger` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `Trigger` on demand if not found.
  Returns:
    The first `Trigger` with the specified 'Name', or `null`.
  See Also:
    `getOwnedTriggers()`

### validateClassBehavior

    boolean validateClassBehavior(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

  If a behavior is classifier behavior, it does not have a specification. self.classifierBehavior.notEmpty() implies self.specification.isEmpty()

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### getImplementedInterfaces

    org.eclipse.emf.common.util.EList<Interface> getImplementedInterfaces()

  Retrieves the interfaces on which this behaviored classifier has an interface realization dependency.

### getAllImplementedInterfaces

    org.eclipse.emf.common.util.EList<Interface> getAllImplementedInterfaces()

  Retrieves all the interfaces on which this behaviored classifier or any of its parents has an interface realization dependency.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.